<?php
/**
 * Created by PhpStorm.
 * User: damien
 * Date: 02/09/2018
 * Time: 21:10
 */

namespace Actigraph\ActipageBaseBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Qrcodes
 *
 * @ORM\Table(name="qrcodes")
 * @ORM\Entity
 */
class Qrcodes
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="type", type="string", length=255, nullable=false)
     */
    private $type;

    /**
     * @var string
     *
     * @ORM\Column(name="contenu", type="text", nullable=false)
     */
    private $contenu;

    /**
     * @var integer
     *
     * @ORM\Column(name="taille", type="bigint", nullable=false)
     */
    private $taille;

    /**
     * @var string
     *
     * @ORM\Column(name="correction", type="string", length=255, nullable=false)
     */
    private $correction;

    /**
     * @var string
     *
     * @ORM\Column(name="couleurcode", type="string", length=255, nullable=false)
     */
    private $couleurcode;

    /**
     * @var string
     *
     * @ORM\Column(name="couleurfond", type="string", length=255, nullable=false)
     */
    private $couleurfond;

    /**
     * @var boolean
     *
     * @ORM\Column(name="reseau", type="boolean", nullable=false)
     */
    private $reseau;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->type;
    }

    /**
     * @param string $type
     */
    public function setType(string $type): void
    {
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getContenu(): string
    {
        return $this->contenu;
    }

    /**
     * @param string $contenu
     */
    public function setContenu(string $contenu): void
    {
        $this->contenu = $contenu;
    }

    /**
     * @return int
     */
    public function getTaille(): int
    {
        return $this->taille;
    }

    /**
     * @param int $taille
     */
    public function setTaille(int $taille): void
    {
        $this->taille = $taille;
    }

    /**
     * @return string
     */
    public function getCorrection(): string
    {
        return $this->correction;
    }

    /**
     * @param string $correction
     */
    public function setCorrection(string $correction): void
    {
        $this->correction = $correction;
    }

    /**
     * @return string
     */
    public function getCouleurcode(): string
    {
        return $this->couleurcode;
    }

    /**
     * @param string $couleurcode
     */
    public function setCouleurcode(string $couleurcode): void
    {
        $this->couleurcode = $couleurcode;
    }

    /**
     * @return string
     */
    public function getCouleurfond(): string
    {
        return $this->couleurfond;
    }

    /**
     * @param string $couleurfond
     */
    public function setCouleurfond(string $couleurfond): void
    {
        $this->couleurfond = $couleurfond;
    }

    /**
     * @return bool
     */
    public function isReseau(): bool
    {
        return $this->reseau;
    }

    /**
     * @param bool $reseau
     */
    public function setReseau(bool $reseau): void
    {
        $this->reseau = $reseau;
    }


}